# Interface BrightcoveConfiguration

interface BrightcoveConfiguration {
adConfigId: null | string;
applicationId: null | string;
authToken: null | string;
deliveryConfigId: null | string;
playbackApiBaseUrl: null | string;
playerName: null | string;
policyKey: null | string;
streamConcurrency: boolean;
tveToken: null | string;
viewerId: null | string;
watermarkingToken: null | string;
}

#####
Index

### Properties

adConfigId
applicationId
authToken
deliveryConfigId
playbackApiBaseUrl
playerName
policyKey
streamConcurrency
tveToken
viewerId
watermarkingToken

## Properties

### adConfigId

adConfigId: null | string

SSAI Config ID. Defaults to `null`

### applicationId

applicationId: null | string

Brightcove Application ID. Defaults to `null`

### authToken

authToken: null | string

Brightcove JWT used to enforce different restrictions on the account level. Defaults to `null`

### deliveryConfigId

deliveryConfigId: null | string

Dynamic Delivery rules configuration ID. Defaults to `null`

### playbackApiBaseUrl

playbackApiBaseUrl: null | string

Changes the Video Cloud base url. Should only be changed if IP restrictions are used with Brightcove Players outside of North America. Defaults to `null`

### playerName

playerName: null | string

Video Cloud player name associated with a player. Defaults to `'Brightcove Web & Smart TV SDK'`

### policyKey

policyKey: null | string

Video Cloud API policy key. Defaults to `null`

### streamConcurrency

streamConcurrency: boolean

Enable Stream Concurrency. Defaults to `false`

### tveToken

tveToken: null | string

TVE token. defaults to `null`

### viewerId

viewerId: null | string

User identifier for Cross-Device Resume / Viewer Analytics. Used by Data Collection API. Defaults to `null`

### watermarkingToken

watermarkingToken: null | string

Watermarking token. Defaults to `null`